import "./App.css";
import ThreeDesigner from "@/components/ThreeDesigner.tsx";
import { ChakraProvider, CircularProgress } from "@chakra-ui/react";

import AreaIndicator from "@/components/AreaIndicator.tsx";
import TextureSelector from "@/components/TextureSelector.tsx";
import useModelStore from "@/store/useModelStore.ts";

function App() {
  const modelLoading = useModelStore((state) => state.modelLoading);
  return (
    <ChakraProvider>
      <div className={"relative h-screen w-screen"}>
        <ThreeDesigner />
        {/*<ThreeScene/>*/}
        <AreaIndicator />
        <TextureSelector />
        {modelLoading !== 0 && modelLoading !== 100 && (
          <div
            className={
              "absolute left-1/2 top-1/2 -translate-x-1/2 -translate-y-1/2"
            }
          >
            <CircularProgress value={modelLoading} />
          </div>
        )}
      </div>
    </ChakraProvider>
  );
}

export default App;
