import { Canvas, useLoader } from "@react-three/fiber";
import { useEffect, useRef } from "react";
import { GLTFLoader } from "three/addons/loaders/GLTFLoader.js";
import { Group } from "three";
import { Environment, OrbitControls } from "@react-three/drei";

const Model = () => {
  const groupRef = useRef<Group>(null);

  // const capTexture = useLoader(TextureLoader, "/textures/baseball_cap_diffuse.png");

// 使用GLTFLoader加载gltf模型
  const { scene } = useLoader(GLTFLoader, "/models/baseball_cap_3d.glb");
  useEffect(() => {
    scene.traverse((child) => {
      if (child.type == "Mesh") {
        // console.log(child);
        // child.material = capTexture;
      }
    });
  }, []);
  return (
    <group ref={groupRef} scale={10}>
      <OrbitControls />
      {/*<meshStandardMaterial map={capTexture2} />*/}
      <primitive object={scene} />
    </group>
  );
};

const ThreeScene = () => {
  return (
    <Canvas>
      <ambientLight></ambientLight>
      <pointLight position={[10, 10, 10]}></pointLight>
      {/*<camera />*/}
      <perspectiveCamera />
      <OrbitControls />
      <Model />
      <Environment preset={"city"} background />
    </Canvas>
  );
};

export default ThreeScene;
